# -*- coding: utf-8 -*-
import libMediathek
import xbmc
import xbmcplugin
import xbmcgui
import urllib2
import json



def main():
	response = getUrl('http://dashif.org/reference/players/javascript/v2.1.1/samples/dash-if-reference-player/app/sources.json')
	j = json.loads(response)
	for item in j['items']:
		nameA = item['name']
		for subitem in item['submenu']:
			nameB = subitem['name']
			url = subitem['url']
			libMediathek.addEntry({'name':nameA + ' - ' + nameB,'url':url,'mode':'play','type':'video'})
def play():
	url = params['url']
	listitem = xbmcgui.ListItem(path=url)
	#listitem.setProperty('inputstreamaddon', 'Input Stream')
	listitem.setProperty('inputstreamaddon', 'inputstream.mpd')
	xbmcplugin.setResolvedUrl(pluginhandle, True, listitem)


def getUrl(url):
    xbmc.log(url)
    req = urllib2.Request(url)
    req.add_header('User-Agent', 'Mozilla/5.0 (Windows NT 6.1; rv:25.0) Gecko/20100101 Firefox/25.0')
    response = urllib2.urlopen(req)
    link = response.read()
    response.close()
    return link
	
modes = {
'main': main,
'play': play
}	
def list():	
	global params
	params = libMediathek.get_params()
	global pluginhandle
	pluginhandle = int(sys.argv[1])
	
	if not params.has_key('mode'):
		main()
	else:
		modes.get(params['mode'],main)()
	
	xbmcplugin.endOfDirectory(int(sys.argv[1]))	
	
list()